Voro++

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Enumerations
c_loops.hh File Reference

Header file for the loop classes. More...

`#include "config.hh"`

Go to the source code of this file.

## Data Structures
class | voro::particle_order
| A class for storing ordering information when particles are added to a container. More...
class | voro::c_loop_base
| Base class for looping over particles in a container. More...
class | voro::c_loop_all
| Class for looping over all of the particles in a container. More...
class | voro::c_loop_subset
| Class for looping over a subset of particles in a container. More...
class | voro::c_loop_order
| Class for looping over all of the particles specified in a pre-assembled particle_order class. More...
class | voro::c_loop_all_periodic
| A class for looping over all particles in a container_periodic or container_periodic_poly class. More...
class | voro::c_loop_order_periodic
| Class for looping over all of the particles specified in a pre-assembled particle_order class, for use with container_periodic classes. More...

## Enumerations
enum | c_loop_subset_mode { sphere, box, no_check }